/*
 *
 * Copyright (c) Nextian. All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.nextian.icmpping.util;

/**
 * Utility to calculate time with 1 millisecond precision.
 */
public class TimeUtil {

    /**
     * Make class behave like namespace - no instances can be created.
     */
    private TimeUtil() {
    }

    /**
     * Get time in milliseconds. Value does not represent any real time but can be used to calculate intervals.
     * Returned value is rounded to the nearest millisecond.
     *
     * @return current time value in milliseconds
     */
    static public long currentTimeMillis() {
        long currentTimeNano = System.nanoTime();
        return (currentTimeNano + 500000) / 1000000;
    }
}
