/*
Copyright (c) Nextian. All rights reserved.

This software is furnished under a license. Use, duplication,
disclosure and all other uses are restricted to the rights
specified in the written license agreement.
*/

#include "Tchar.h"
#include "CppUnitTest.h"
#include "IcmpDebug.h"

using namespace Microsoft::VisualStudio::CppUnitTestFramework;

namespace WindowsIcmpTest
{
	TEST_CLASS(OutputDebugTest)
	{
	public:
		/// Test debug output. Output result must be positive value
		TEST_METHOD(WriteOutput)
		{
			int charsWritten = IcmpOutputDebugString(_T("Hello #%d from %s"), 1, _T("WindowsIcmpTest"));
			Assert::IsTrue(charsWritten > 0);
		}

		/// Test debug output called by macros. Macros calling should return positive value (when debug is enabled)
		/// or zero in other case (if macro is empty)
		TEST_METHOD(WriteOutputMacros)
		{
			Assert::AreNotEqual(ICMPOUTPUTDEBUGSTRING0(_T("Hello\n")), -1);
			Assert::AreNotEqual(ICMPOUTPUTDEBUGSTRING1(_T("Hello %s\n"), _T("world")), -1);
			Assert::AreNotEqual(ICMPOUTPUTDEBUGSTRING2(_T("Hello %s %s\n"), _T("my"), _T("world")), -1);
		}
	};
}